test harness for migration tools (Opera, IE, Safari and etc)
From bug  comment #36

> We should really put some ateam resources in making a migration test harness
> for the major browsers.

We should add test harness for migration. If added, a simple bug issue such as bug  doesn't occur.
